Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.clustering
Class ClusteringConstants.Parameters

    java.lang.Object
      org.apache.axis2.clustering.ClusteringConstants.Parameters

Enclosing class:
  ClusteringConstants

    public static final class ClusteringConstants.Parameters

extends java.lang.Object

The main cluster configuration parameters

Field Summary
`static java.lang.String` | `APPLICATION_DOMAIN` This parameter is only valid when the "mode" parameter is set to "application" This indicates the domain in which the the applications being load balanced are deployed.
`static java.lang.String` | `ATMOST_ONCE_MSG_SEMANTICS` Maintain atmost-once message processing semantics
`static java.lang.String` | `AVOID_INITIATION` Do not automatically initialize the cluster.
`static java.lang.String` | `DOMAIN` The clustering domain/group.
`static java.lang.String` | `IS_ACTIVE` Indicates whether this member is ACTIVE or PASSIVE
`static java.lang.String` | `LOAD_BALANCE_EVENT_HANDLER` This is the even handler which will be notified in the case of load balancing events occurring.
`static java.lang.String` | `MEMBERSHIP_LISTENER` The implementaion of
`static java.lang.String` | `MEMBERSHIP_SCHEME` The membership scheme used in this setup.
`static java.lang.String` | `MODE` Indicates the mode in which this member is running.
`static java.lang.String` | `PRESERVE_MSG_ORDER` Preserve message ordering.
`static java.lang.String` | `SYNCHRONIZE_ALL_MEMBERS` When a Web service request is received, and processed, before the response is sent to the client, should we update the states of all members in the cluster? If the value of this parameter is set to "true", the response to the client will be sent only after all the members have been updated.

Constructor Summary
`ClusteringConstants.Parameters()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEMBERSHIP_SCHEME

    public static final java.lang.String MEMBERSHIP_SCHEME

  The membership scheme used in this setup. The only values supported at the moment are "multicast" and "wka"

  See Also:
    Constant Field Values

### DOMAIN

    public static final java.lang.String DOMAIN

  The clustering domain/group. Nodes in the same group will belong to the same multicast domain. There will not be interference between nodes in different groups.

  See Also:
    Constant Field Values

### MODE

    public static final java.lang.String MODE

  Indicates the mode in which this member is running. Valid values are "application" and "loadBalance"

  application - This member hosts end user applications loadBalance - This member is a part of the load balancer cluster

  See Also:
    Constant Field Values

### LOAD_BALANCE_EVENT_HANDLER

    public static final java.lang.String LOAD_BALANCE_EVENT_HANDLER

  This is the even handler which will be notified in the case of load balancing events occurring. This class has to be an implementation of org.apache.axis2.clustering.LoadBalanceEventHandler

  This entry is only valid if the "mode" parameter is set to loadBalance

  See Also:
    Constant Field Values

### APPLICATION_DOMAIN

    public static final java.lang.String APPLICATION_DOMAIN

  This parameter is only valid when the "mode" parameter is set to "application"

  This indicates the domain in which the the applications being load balanced are deployed.

  See Also:
    Constant Field Values

### SYNCHRONIZE_ALL_MEMBERS

    public static final java.lang.String SYNCHRONIZE_ALL_MEMBERS

  When a Web service request is received, and processed, before the response is sent to the client, should we update the states of all members in the cluster? If the value of this parameter is set to "true", the response to the client will be sent only after all the members have been updated. Obviously, this can be time consuming. In some cases, such this overhead may not be acceptable, in which case the value of this parameter should be set to "false"

  See Also:
    Constant Field Values

### AVOID_INITIATION

    public static final java.lang.String AVOID_INITIATION

  Do not automatically initialize the cluster. The programmer has to explicitly initialize the cluster.

  See Also:
    Constant Field Values

### PRESERVE_MSG_ORDER

    public static final java.lang.String PRESERVE_MSG_ORDER

  Preserve message ordering. This will be done according to sender order

  See Also:
    Constant Field Values

### ATMOST_ONCE_MSG_SEMANTICS

    public static final java.lang.String ATMOST_ONCE_MSG_SEMANTICS

  Maintain atmost-once message processing semantics

  See Also:
    Constant Field Values

### IS_ACTIVE

    public static final java.lang.String IS_ACTIVE

  Indicates whether this member is ACTIVE or PASSIVE

  See Also:
    Constant Field Values

### MEMBERSHIP_LISTENER

    public static final java.lang.String MEMBERSHIP_LISTENER

  The implementaion of

  See Also:
    Constant Field Values

Constructor Detail

### ClusteringConstants.Parameters

    public ClusteringConstants.Parameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.